Stocks/Articles/{article}/Sets
List article sets
Returns article sets (conjuntos) that include this article as a component. Sets are predefined bundles of articles sold together. Shows the parent set article, quantities, and pricing information.
AuthorizationBearer <token>
In: header
Path Parameters
articlestring
Query Parameters
article_id?stringDeprecated
Filter by set article ID (supports operators: eq, like)
created_at?stringDeprecated
Filter by creation date (supports operators: gte, lte)
Format
dateupdated_at?stringDeprecated
Filter by update date (supports operators: gte, lte)
Format
datefilter[article_id][operator]?string
Operators: eq, like. Example: filter[article_id][eq]=value
filter[created_at][operator]?string
Operators: gte, lte. Example: filter[created_at][gte]=value
Format
datefilter[updated_at][operator]?string
Operators: gte, lte. Example: filter[updated_at][gte]=value
Format
datefilter?object
Advanced filter as JSON object with field => operator => value
Empty Object
page?integer
Page number. Default 1; a value below 1 counts as 1.
Default
1Range
1 <= valuelimit?integer
Items per page. Default 50, maximum 250; a larger value is truncated to 250.
Default
50Range
1 <= value <= 250Response Body
curl -X GET "https://og-tenant1.test:8003/api/v2/stocks/articles/string/sets?article_id=string&created_at=2019-08-24&updated_at=2019-08-24&filter%5Barticle_id%5D%5Boperator%5D=string&filter%5Bcreated_at%5D%5Boperator%5D=2019-08-24&filter%5Bupdated_at%5D%5Boperator%5D=2019-08-24&page=1&limit=50"{
"data": [
{
"article_id": "string",
"quantity": 0,
"mandatory": true,
"type": "string",
"family_id": "string",
"sub_family_id": "string",
"sub_sub_family_id": "string",
"brand_id": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"meta": {
"per_page": 50,
"current_page": 1,
"has_more": true,
"total": 120,
"last_page": 3,
"from": 1,
"to": 50
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}